Skip to content
GET/api/{version}/objects/picklists
NameDescription
Acceptapplication/json (default) or application/xml
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v21.2/objects/picklists
{ "responseStatus": "SUCCESS", "responseMessage": "Success", "errorCodes": null, "picklists": [ { "name": "asset_type__c", "label": "Asset Type", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c:advertisement__c:web__c", "propertyName": "assetType_pm" }, { "documentTypeName": "claim__c", "propertyName": "assetType_pm" } ] }, { "name": "audience__c", "label": "Audience", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c", "propertyName": "audience_pm" } ] }, { "name": "branding__c", "label": "Branding", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c", "propertyName": "brandingStatus_pm" } ] }, { "name": "campaign_name__c", "label": "Campaign", "kind": "global", "usedIn": [ { "documentTypeName": "promotional_piece__c", "propertyName": "campaign_pm" } ] }, { "name": "claim_category__c", "label": "Claim Category", "kind": "global", "usedIn": [ { "documentTypeName": "claim__c", "propertyName": "claimCategory_pm" } ] }, { "name": "email_template_type__v", "label": "Email Template Type", "kind": "global", "system": true, "usedIn": [ { "documentTypeName": "email_template__v", "propertyName": "emailTemplateType_b" } ] }, { "name": "language__v", "label": "Language", "kind": "global", "system": true, "usedIn": [ { "documentTypeName": "base_document__v", "propertyName": "language__v" } ] } ] "errorType": null }